Description: Split from the New Layout (#263) for further discussion.

> Group menus - Instead of the flat menus shown we can group menu items. So Issues would have
submenus of: New Issue, Show All Issues, New Saved Query, and a dynamic list of each Query. | can try to
take a screenshot example of this if needed.

Associated revisions

2012-02-27 07:37 am - Eric Davis

[#559] Group menus and add some dynamic menus

History

2011-08-05 07:23 pm - Eric Davis
- File menus.png added

Here is an example of what grouping menus can do.

Imenus.png!

2011-08-08 07:16 am - Enrique GarcAla Cota
| just want to say that I like this menu layout (and I'm the one who commented "I kindof like the 'New Issue' menu button")

2011-10-12 03:43 pm - Romano Licker
On https://ux.finn.de/projects/uxdemoproject/issues you can try the menu presented above.

We extended the click area of the arrow in order to address accessibility issues.

2011-10-28 09:23 pm - Eric Davis
Note: leaving in my jguery menu expand plugin and the @ApplicationHelper#expand_current_menu@ in #263. It's used to automatically open

submenus based on the current page.

2011-12-20 01:58 am - Eric Davis

Here is what | propose we use for project submenus for now. This is based on the original Shane & Peter theme and also incorporates some feedback
from using it for the past year or so. @I...]@ are multiple menu items, based on the current project data (e.g. menu items for Version1, Version2,
Version3)

<pre>
- Overview

- Activity

- Issues

-- New Issue

-- New Saved Query

-- Issue Summary

-- [Menu item for each saved query (dynamic)]
- Roadmap
-- [Menu item for each open version (dynamic)]
- Time Entries (Details list)

-- Report

-- New Time Entry

- Gantt

- Calendar

- News

-- Add news

- Documents

- Wiki

-- Index by title

-- Index by date

-- [Menu item for each watched wiki page (dynamic)]
- Boards

-- [Menu item for each board]

- Files

- Repository

- Settings

-- [Menu item for each project setting (dynamic)]

</pre>
2011-12-21 08:08 am - Felix Schafer
Eric Davis wrote:

> Here is what | propose we use for project submenus for now.

There's things which could have a "new $thing" action but don't, | think that should be made consistent and every menu entry that you can create an
object in should have the "new $thing" menu subentry.

2012-02-17 05:39 pm - Eric Davis
I'm trying to go through this now, should have a pull request soon. If | miss anything you can comment there.

2012-02-17 06:04 pm - Eric Davis

- File chiliproject-nested-menus.png added

Okay, | think I've added them all now. Here is a screenshot of them all open (font is small so | could fit them all on the screen). There is a subtle line in

some child menus that separate the main menu items from the dynamic menu items (e.g. issues, forums).

2012-02-17 06:44 pm - Eric Davis
- Status changed from Open to Ready for review

2012-02-27 06:42 am - Eric Davis
- Target version set to 3.1.0

- Status changed from Ready for review to Closed

Added to master in commit:b9b2c8c

| couldn't find an easy way to clear the line separating the two static and dynamic child menus. The line can be cleared but there is still a gap between
the two ul items and the gray background leaks through. If someone can find the cause, feel free to fix it.

Files
menus.png 46.3 kB 2011-08-05 Eric Davis
chiliproject-nested-menus.png 27.1 kB 2012-02-17 Eric Davis
